/// <reference types="react" />
import { ResultRecord } from "andculturecode-javascript-core";
/**
 * Hook to bundle common page error handling functionality
 */
export declare function usePageErrors(): {
    handlePageLoadError: (result: string | ResultRecord<any>) => void;
    pageErrors: string[];
    resetPageErrors: () => void;
    setPageErrors: import("react").Dispatch<import("react").SetStateAction<string[]>>;
};
