/// <reference types="react" />
import { UseQueryOptions } from "../interfaces/use-query-options";
export declare function useQuery<TRecord, TQueryParams, TPathParams = undefined>(options: UseQueryOptions<TRecord, TQueryParams, TPathParams>): {
    loading: boolean;
    query: TQueryParams;
    setQuery: import("react").Dispatch<import("react").SetStateAction<TQueryParams>>;
    pathParams: TPathParams | undefined;
    setPathParams: import("react").Dispatch<import("react").SetStateAction<TPathParams | undefined>>;
    values: TRecord[];
    setValues: import("react").Dispatch<import("react").SetStateAction<TRecord[]>>;
};
